#!/bin/sh
#
# This script will build a set of ix2 disk images
# with the least amount of user interaction.
#
# The following images will be built in ../../images:
#
#   ix2_dl_ide.img
#   ix2_dl_usb.img
#   ix2_ng_ide.img
#   ix2_ng_usb.img 
#
clear
for NAME in ix2_dl_ide ix2_dl_usb ix2_ng_ide ix2_ng_usb; do
    export BUILD_CMD="sh ./$NAME.sh -b -s"
    export IMAGE_FILE="../../images/$NAME.img"
    CMD="sh ./disk_raw.sh -b -s"
    echo "================================================================="
    echo "    Script:  $CMD"
    echo "     Build:  $BUILD_CMD"
    echo "     Image:  $IMAGE_FILE"
    echo "================================================================="
    echo -n "\nPress ENTER to run build chain: "
    read ANS
    if $CMD; then
        :
    else
        echo "\nError $? returned by \"$CMD\""
        echo "\nStopping..."
        exit 1
    fi
done
